import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('conversation_system')
export class ConversationSystemEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  brand_id: string;

  @Column({
    type: 'varchar',
    default: '',
  })
  name: string;

  @Column({
    type: 'json',
    default: {},
  })
  avatar: any;
}
