import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('message_remove')
export class MessageRemoveEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  message_id: string;

  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;
}
