import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('message_hidden')
export class MessageHiddenEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  message_id: string;

  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  type: number;
}
