import { Column, Entity, JoinColumn, ManyToOne } from 'typeorm';
import { CommonEntity } from './_common.entity';
import { StoryEntity } from './story.entity';

@Entity('story_view')
export class StoryViewEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'bigint',
  })
  story_id: string;
}
